# Created by pyp2rpm-3.3.5
%global pypi_name aiosignal

Name:           python-%{pypi_name}
Version:        1.3.1
Release:        %mkrel 1
Summary:        aiosignal: a list of registered asynchronous callbacks
Group:          Development/Python
License:        ASL2.0
URL:            https://github.com/aio-libs/aiosignal
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(frozenlist) >= 1.1
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(pytest-asyncio) >= 0.20.3

%description
A project to manage callbacks in asyncio projects.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A project to manage callbacks in asyncio projects.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Sun Jan 15 2023 wally <wally> 1.3.1-1.mga9
+ Revision: 1933474
- new version 1.3.1

* Sat Jun 04 2022 papoteur <papoteur> 1.2.0-1.mga9
+ Revision: 1861206
- imported package python-aiosignal

